Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-ppc-dev
Having trouble with 0.9.63 getting a "not enough arguments to
expand_stack" while compiling mmu.c? Here's a patch to fix that.
(*Add* this file to your portage directory)
/usr/portage/app-emulation/mol/files:
--- mol-0.9.63/src/kmod/mmu.c Wed May 1 11:49:40 2002
+++ mol-0.9.63/src/kmod/mmu.c.new Mon Jul 1 16:27:42 2002
@@ -575,7 +575,7 @@
goto good_area;
if( !(vma->vm_flags & VM_GROWSDOWN ) )
goto bad_area;
- if( expand_stack(vma,va))
+ if( expand_stack(vma,va,NULL))
goto bad_area;
good_area:
// helthy protection checking
(Patch your *current* mol-0.9.63.ebuild file with this)
/usr/portage/app-emulation/mol/mol-0.9.63.ebuild:
--- mol-0.9.63.ebuild Mon Jul 1 16:47:17 2002
+++ mol-0.9.63.ebuild.new Mon Jul 1 16:46:48 2002
@@ -19,6 +19,11 @@
fi
}
+src_unpack () {
+ unpack ${A}; cd ${S}
+ patch -p1 < ${FILESDIR}/expand_stack_3arg.patch || die
+}
+
src_compile() {
./configure --prefix=/usr || die "This is a ppc-only package (time
to buy that iBook, no?)"
That should do it. I was able to compile, set up molrc, and MacOS came
right up.
--- Joe M.
|
|